For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet all webhooks
      • POSTCreate a webhook
      • GETGet a webhook details
      • PUTUpdate a webhook
      • DELDelete a webhook
      • POSTExport webhook history
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsWebhooks

Export webhook history

POST
https://api.brevo.com/v3/webhooks/export
POST
/v3/webhooks/export
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.webhooks.exportWebhooksHistory({
8 event: "request",
9 notifyUrl: "https://brevo.com",
10 type: "transactional",
11 });
12}
13main();
1{
2 "processId": 78
3}
<Note> This is an enterprise feature. Contact us to activate it for your account. </Note> Submits a request to export webhook event history as a CSV file. The download link is sent to the `notifyURL` you provide in the request body. Use this endpoint to: - Export webhook event history filtered by date range, event type, or email address - Generate reports for compliance, auditing, or performance analysis - Track delivery patterns and webhook reliability over time
Was this page helpful?
Previous

Get account details

Next
Built with

This is an enterprise feature. Contact us to activate it for your account.

Submits a request to export webhook event history as a CSV file. The download link is sent to the notifyURL you provide in the request body.

Use this endpoint to:

  • Export webhook event history filtered by date range, event type, or email address
  • Generate reports for compliance, auditing, or performance analysis
  • Track delivery patterns and webhook reliability over time

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Request

Values to submit for webhooks history
anyRequired

Response

process id created
processIdlong
Id of the process created

Errors

400
Bad Request Error